%define upstream_name    MooseX-Blessed-Reconstruct
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A L<Data::Visitor> for creating Moose objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP) >= 0.930.0
BuildRequires: perl(Data::Visitor) >= 0.210.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 1.50.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The purpose of this module is to "fix up" blessed data into a real Moose
object.

This is used internally by the MooseX::YAML manpage but has no
implementation details having to do with the YAML manpage itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.10.0-4.mga10
+ Revision: 2205067
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-3.mga9
+ Revision: 1810968
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1519734
- Mageia 8 Mass Rebuild

* Wed Oct 17 2018 shlomif <shlomif> 1.10.0-1.mga7
+ Revision: 1321467
- update to 1.01

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-6.mga7
+ Revision: 1269592
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1030332
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 971878
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.0.0-3.mga6
+ Revision: 893429
+ rebuild (emptylog)

* Fri Oct 16 2015 tv <tv> 1.0.0-2.mga6
+ Revision: 892149
- BR perl(Module::Build)

* Mon Jun 22 2015 sander85 <sander85> 1.0.0-1.mga6
+ Revision: 839339
- update to 1.00

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 742288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685523
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513140
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 38594
- mageia rebuild
- imported package perl-MooseX-Blessed-Reconstruct

